@charset "utf-8";

:root {
  --cont-gray: #ccc;
  --cont-red: #f00;
}

.w_full {
  width: 100%;
  border: 1px solid var(--cont-gray);
}
.w_80pc {
  width: 80%;
  border: 1px solid var(--cont-gray);
}
.w_half {
  width: 50%;
  border: 1px solid var(--cont-gray);
}
.w_25pc {
  width: 25%;
  border: 1px solid var(--cont-gray);
}
@media screen and (max-width: 767px) {
  .w_25pc[name = "ride"] {margin-bottom: 0.5em;}
}

.required {color: var(--cont-red);}

.msgarea {
  color:var(--cont-red);
  margin: 20px 0px;
  padding: 10px 20px 10px 20px;
  background: #eeeeee;
  border: 1px solid var(--var-color);
}
p.errmsg {
  color:var(--cont-red);
  margin:0px;
}

.top_text {margin-top: var(--space-45);}
.top_caution {margin-top: 1em;}

.cont_note {
  width: 100%;
  max-width: 850px;
  margin: 0 auto var(--space-65);
  border: 1px solid var(--cont-gray);
  padding: 2em var(--space-45);
  @media screen and (max-width: 767px) {
    padding: 2em 5%;
  }
}
.cont_note--txt {
  font-weight: 700;
  font-size: 1.8rem;
  letter-spacing: var(--letter-12);
  margin-bottom: 1em;
  text-align: center;
}

/* 三角フロー図
============================================== */
.flow-triangle {
  list-style-type: none;
  display: table;
  width: 100%;
  padding: 0;
  margin: 0;
  margin-bottom: var(--space-45);
  overflow: hidden;
  li {
    display: table-cell;
    position: relative;
    background: var(--light-blue02);
    padding: 0.7em 0.5em 0.6em 2em;
    color: #000;
    font-weight: bold;
    text-align: center;
    width: 33%;
    font-size: 1.6rem;
    &::before {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
      margin: auto;
      top:-15px;
      right:-1em;
      border-style: solid;
      border-color: transparent transparent transparent #fff;
      border-width: 40px 0 40px 1em;
      z-index: 1;
    }
    &::after {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
      margin: auto;
      top:-15px;
      right:-.8em;
      border-style: solid;
      border-color: transparent transparent transparent var(--light-blue02);
      border-width: 40px 0 40px 1em;
      z-index: 1;
    }
  }
  li:last-child{
    padding-right: 1em;
    &::before, &::after {display:none;}
  }
  li.is-current {
    background: var(--blue-color);
    color: #fff;
    &::after{border-color: transparent transparent transparent var(--blue-color);}
    span {
      background: #fff;
      color: var(--blue-color);
    }
  }
  span {
    display: inline-flex;
    justify-content: center;
    margin-right: 10px;
    width: 23px;
    height: 23px;
    background: #fff;
    color: #000;
    line-height: 1.5;
  }
  @media screen and (max-width: 767px) {
    display: flex;
    li {
      padding: 8px 1% 5px 3%;
      font-size: 1.2rem;
    }
    li:nth-child(2) {
      font-size: 1.05rem;
      span {margin-bottom: 5px;}
    }
    span {
      display: block;
      margin: 0 auto 2px;
      width: 20px;
      height: 20px;
      font-size: 1.4rem;
    }
  }
}
/* ============================================== */

.form-element-container {
  display: table;
  width: 100%;
  margin: 1em auto 0;
  border-top: 1px solid var(--cont-gray);
}
.form-field-input-pair {display: table-row;}
.form-field {
  display: table-cell;
  width: 260px;
  padding: 20px;
  vertical-align: middle;
  text-align: center;
  color: var(--var-color);
  border-bottom: 1px solid var(--cont-gray);
  background: var(--light-blue02);
  text-align: left;
  @media screen and (max-width: 767px) {
    display: block;
    box-sizing: border-box;
    vertical-align: middle;
    width: 100%;
    padding: 15px 8px;
  }
}
.form-input {
  display: table-cell;
  vertical-align: middle;
  padding: 20px;
  border-bottom: 1px solid var(--cont-gray);
  background: #fff;
  span.ml10 {display: inline-block;margin-left: 10px;}
  label:not(:last-child) {
    margin-right: 1em;
  }
  @media screen and (max-width: 767px) {
    width: 100%;
    padding: 15px 8px;
    box-sizing: border-box;
    display: block;
    &.flex {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      gap: 0 20px;
    }
    &:has(input[name="kanji01"]),
    &:has(input[name="hiragana01"]) {
      font-size: min(1.6rem, 4.5vw);
    }
  }
}

.btn_box {
  width: 100%;
  max-width: 571px;
  margin: var(--space-65) auto 0;
  background: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  @media screen and (max-width: 767px) {
    padding: 0;
    gap: 28px;
  }
}
.btn_box--block {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px 64px;
  width: 100%;
  margin-top: var(--space-65);
  @media screen and (max-width: 767px) {
    gap: 20px;
  }
}

.main input[type="submit"],
.main input[type="reset"],
.main button {
  background: #395EA3;
  color: #fff;
  font-size: 1.6rem;
  font-weight: bold;
  width: 100%;
  max-width: 160px;
  height: 56px;
  padding: 5px 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  &:hover {
    cursor: pointer;
    opacity: 0.8;
  }
}
.main input[type="reset"],
.main input[type="submit"].back {
  background: #EAEAEA;
  color: var(--var-color);
  font-weight: bold;
}

.back_home {
  text-align: center;
  margin: var(--space-45) 0 0;
  a {
    display: inline-block;
    color: #fff;
    padding: 10px 35px;
    background: var(--blue-color);
  }
}

select[name="month"],
select[name="date"],
select[name="pref"] {
  border: 1px solid var(--cont-gray);
  padding: 5px 10px;
  height: 30.8px;
  background: #E9E9ED;
}
input[name="resume"] + p {margin-top: 1em;}
@media screen and (max-width: 767px) {
  select[name="month"] {margin-top: 10px;}
  input[name="resume"],
  input[name="career"] {width: 100%;}
}

.delete-btn {
  background: #f0f8ff;
  color: #2c5aa0;
  padding: 3px 6px;
  margin-left: 20px;
  border-radius: 4px;
  text-decoration: none;
  border: 1px solid #d4e8fc;
}